using UnityEngine;
using System.Collections;

public class s_PlatformStart : s_Platform
{
	override public void Hit()
	{
		Camera.main.GetComponent<s_Controller>().startTime = Time.time;
		StartCoroutine(DestroySelf());
	}
	
	IEnumerator DestroySelf()
	{		
	    transform.Translate(Vector3.up * 10000);
		yield return new WaitForSeconds(0.1f);
		Destroy(gameObject);
	}
}
